#include <iostream>
#include<algorithm>
using namespace std;

int main()
{
    int a,b;
    char c,d;
    cin>>c>>d>>a>>b;
    if(abs(a-b)>1)cout<<"nemoguce";
    else if(abs(a-b)==1)
    {
        if(a>b)
        {
            cout<<c;
            for(int i=0;i<b;i++){cout<<d;cout<<c;}
        }
         else
        {
            cout<<d;
            for(int i=0;i<a;i++){cout<<c;cout<<d;}
        }
    }
    else{
        for(int i=0;i<a;i++){cout<<c;cout<<d;}
    }

    return 0;
}